import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';

@Injectable()
export class EmployeeWizardService {
    public currentPage: BehaviorSubject<number> = new BehaviorSubject<number>(null);
    public courseCategories: BehaviorSubject<any> = new BehaviorSubject<any>([]);
    public categories: BehaviorSubject<any> = new BehaviorSubject<any>([]);
    public courses: BehaviorSubject<any> = new BehaviorSubject<any>([]);

    setCurrentPage(value: number) {
        this.currentPage.next(value);
    }

    setCourseCategories(value: any) {
      this.courseCategories.next(value);
    }

    setSelectedCategories(value: any) {
      this.categories.next(value);
    }

    setCourses(value: any) {
      this.courses.next(value);
    }
}
